package com.fuyuanshen.modules.system.domain.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author: 默苍璃
 * @date: 2025-06-1211:34
 */
@Data
@JsonInclude(JsonInclude.Include.ALWAYS)
public class APPUserVo {

    @ApiModelProperty(value = "ID")
    @JsonProperty("id")
    private Long id;

    @ApiModelProperty(value = "用户昵称")
    @JsonProperty("nickName")
    private String nickName;

    @ApiModelProperty(value = "用户性别")
    @JsonProperty("gender")
    private String gender;

    @ApiModelProperty(value = "电话号码")
    @JsonProperty("phone")
    private Long phone;

    @ApiModelProperty(value = "头像存储的路径")
    @JsonProperty("avatarPath")
    private String avatarPath;

    @ApiModelProperty(value = "地区")
    @JsonProperty("region")
    private String region;

}
